Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.console.actions
Class TextViewerAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.console.actions.TextViewerAction

All Implemented Interfaces:
  IAction, IUpdate

Direct Known Subclasses:
  TextViewerGotoLineAction

public class TextViewerAction
extends Action
implements IUpdate

Common function for actions that operate on a text viewer.

Clients may subclass this class.

Since:
  3.0

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`TextViewerAction(ITextViewer viewer, int operationCode)` Constructs a new action in the given text viewer with the specified operation code.

Method Summary
`void` | `configureAction(String text, String toolTipText, String description)` Configures this action with a label, tool tip, and description.
`void` | `run()` The default implementation of this `IAction` method does nothing.
`void` | `update()` Requests that this object update itself.

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextViewerAction

    public TextViewerAction(ITextViewer viewer,
                            int operationCode)

  Constructs a new action in the given text viewer with the specified operation code.

Parameters:
  `viewer` -
  `operationCode` -

Method Detail

### update

    public void update()

  Description copied from interface: `IUpdate`
  Requests that this object update itself.

  Specified by:
    `update` in interface `IUpdate`

### run

    public void run()

  Description copied from class: `Action`
  The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### configureAction

    public void configureAction(String text,
                                String toolTipText,
                                String description)

  Configures this action with a label, tool tip, and description.

  Parameters:
    `text` - action label
    `toolTipText` - action tool tip
    `description` - action description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.